<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>jq Fade.</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>
<body>
    <button id="fadeIn">Проявись</button>
    <button id="fadeOut">Расстворись</button>
    <button id="fadeToggle">Переключаетель</button>
    <button id="fadeTo">50%</button>
    <p id="text">Подопытный текст =)</p>
    <script>
        $('#fadeIn').click(function (){
            $('#text').fadeIn("slow");
        })
        $('#fadeOut').click(function (){
            $('#text').fadeOut('slow');
        })
        $('#fadeToggle').click(function (){
            $('#text').fadeToggle("slow");
        })
        $('#fadeTo').click(function (){
            $('#text').fadeTo('slow', 0.5);
        })
    </script>
</body>
</html>